# -*- coding: utf-8  -*-

from django.db import models
from random import choice

from portailuser.models import PortailUser


class DemandeReinit(models.Model):
    utilisateur = models.OneToOneField(PortailUser, on_delete=models.CASCADE)
    cle = models.CharField(max_length=20)
    date = models.DateTimeField(auto_now_add=True)

    def __str__(self):
        return "{}: {}, {}".format(self.utilisateur.get_full_name(), self.date, self.cle)

    def save(self):
        if not self.cle:
            self.cle = ""
            for i in range(0, 20):
                self.cle += choice("ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789")
        super(DemandeReinit, self).save()
